> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superform.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get reward opportunities

> Returns active reward earning opportunities



## OpenAPI

````yaml https://persephone.superform.xyz/openapi.json get /v1/rewards/opportunities
openapi: 3.1.0
info:
  title: Superform API
  description: API for interacting with the Superform platform
  version: 33.2.0
  contact:
    name: Superform Team
    url: https://superform.xyz
servers:
  - url: https://persephone.superform.xyz
security:
  - SF-API-KEY: []
tags:
  - name: RestAPIService
paths:
  /v1/rewards/opportunities:
    get:
      tags:
        - rewards
      summary: Get reward opportunities
      description: Returns active reward earning opportunities
      operationId: RestAPIService_GetRewardsOpportunities
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/restGetRewardsOpportunitiesResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    restGetRewardsOpportunitiesResponse:
      type: object
      properties:
        opportunities:
          type: array
          items:
            $ref: '#/components/schemas/restRewardsOpportunity'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    restRewardsOpportunity:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
        boost:
          type: integer
          format: int32
        asset:
          type: string
        asset_icon:
          type: string
        url:
          type: string
        icon:
          type: string
        link_name:
          type: string
        expiry:
          type: string
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
  securitySchemes:
    SF-API-KEY:
      type: apiKey
      description: >-
        API key required for authentication. Use the value {{v2_api_key}} in
        Postman.
      name: SF-API-KEY
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.